diff --git a/meta-isar/recipes-installer/deploy-image/files/deploy-image-wic.sh b/meta-isar/recipes-installer/deploy-image/files/deploy-image-wic.sh
index 09d6cc11..81a006ce 100644
--- a/meta-isar/recipes-installer/deploy-image/files/deploy-image-wic.sh
+++ b/meta-isar/recipes-installer/deploy-image/files/deploy-image-wic.sh
@@ -96,6 +96,12 @@ if ! dialog --yes-label Ok --no-label Cancel \
     exit 0
 fi
 
+if ! cmp /dev/zero "$TARGET_DEVICE" -n 1M && \
+   ! dialog --defaultno \
+            --yesno "WARNING: Target device is not empty! Continue anyway?" 5 60; then
+    exit 0
+fi
+
 bmap_options=""
 if [ -z "$DISK_BMAP" ]; then
     bmap_options="--nobmap"
